Bug 1782524 - White background on screen when drilling into a table area and clicking back button
Summary: White background on screen when drilling into a table area and clicking back ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact:
URL:
Whiteboard:
: 1797969 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-11 18:57 UTC by Lai
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29053 Normal Closed Navbar does not get rendered on hitting back button 2020-05-20 09:53:20 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:34 UTC

Description Lai 2019-12-11 18:57:10 UTC
Description of problem:
You get a completely white background without any way of exiting the select menu when drilling into a table of any kind (os table, content-view, etc) and then clicking the back button.

Version-Release number of selected component (if applicable):
6.7.0_05

How reproducible:
100%

Steps to Reproduce:
1. Log into satellite
2. Go to a submenu (I went to content-view)
3. Drill into the table (contentview -> cv-name -> version #)
4. Click back button

Actual results:
White background that you can't exit and stuck in that submenu.

Expected results:
Back stays the same and can access the side menu.

Additional info:
Check attachment for more details.  If you hit refresh, it'll bring it back to old state.

Comment 4 Ondřej Pražák 2020-02-18 14:52:25 UTC
Created redmine issue https://projects.theforeman.org/issues/29053 from this bug

Comment 5 Bryan Kearney 2020-02-20 09:08:20 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Bryan Kearney 2020-02-20 09:08:23 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Ondřej Pražák 2020-02-25 10:06:25 UTC
*** Bug 1797969 has been marked as a duplicate of this bug. ***

Comment 9 vijsingh 2020-03-11 09:23:15 UTC
Verified 

@Satellite 6.7.0 snap 15.0


Steps/observation:

1. Log into satellite
2. Go to a submenu (I went to content-view)
3. Drill into the table (contentview -> cv-name -> version #)
4. Click back button

result:
Back stays the same and can access the side menu.

Comment 12 errata-xmlrpc 2020-04-14 13:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.